cURL
curl --request POST \ --url https://api.trulayer.ai/v1/model-routes \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data ' { "name": "<string>", "condition": { "type": "latency_threshold", "threshold": 123, "window_minutes": 123 }, "action": { "type": "fallback_model", "model": "<string>" }, "description": "<string>", "priority": 100, "enabled": true } '
{ "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "tenant_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "name": "<string>", "condition": { "type": "latency_threshold", "threshold": 123, "window_minutes": 123 }, "action": { "type": "fallback_model", "model": "<string>" }, "priority": 123, "enabled": true, "created_at": "2023-11-07T05:31:56Z", "updated_at": "2023-11-07T05:31:56Z", "description": "<string>" }
Documentation IndexFetch the complete documentation index at: https://docs.trulayer.ai/llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: https://docs.trulayer.ai/llms.txt
Use this file to discover all available pages before exploring further.
SDK API key (tl_...) or Clerk session JWT
tl_...
Show child attributes
Model route created